<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkRights("C")) { header("Location:../../index.php"); exit; }

// Infusion Information
$inf_name = "GyGy";
$inf_version = "1";
$inf_author = "pRzemo";
$inf_email = "asilum@vp.pl";
$inf_web = "http://asilum.net";
$inf_description = "Powiadamianie admina o nowych komentarzach, newsach, artykulach itp...";

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = "gygy";
$inf_admin = "gygy_admin.php";

// If any of the following items are not required, you can delete the entire
// line, or ideally set the parameter to ""; i.e. leave it blank.

// Infusion Links : Adds a link to Site Links (if required).
$inf_link_name = "GyGy";
$inf_link_url = "gygy.php";

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].

// Database Table information : Create database tables.
$inf_create_tables[0] = 
	"CREATE TABLE ".$fusion_prefix."gygy (
	  gg_id INT not NULL auto_increment PRIMARY KEY,
	  gg_show_new_users INT not NULL,
	  	gg_new_users_msg CHAR(60) not NULL, 
      gg_show_new_news INT not NULL,
	  	gg_new_news_msg CHAR(60) not NULL,
      gg_show_new_articles INT not NULL,
	  	gg_new_articles_msg CHAR(60) not NULL, 
      gg_show_new_links INT not NULL,
	  	gg_new_links_msg CHAR(60) not NULL,
	  gg_show_new_scream INT not NULL,
	  	gg_new_scream_msg CHAR(60) not NULL,
	  gg_show_new_comment INT not NULL,
	  	gg_new_comment_msg CHAR(60) not NULL, 
      gg_show_new_pm INT not NULL,
	  	gg_new_pm_msg CHAR(60) not NULL, 
	  gg_online_status CHAR(45) not NULL, 
	  gg_offline_status CHAR(45) not NULL,
	  gg_admin_gg INT not NULL, 
	  gg_nr_gg INT not NULL,
	  gg_pass CHAR(30) not NULL) 
	  TYPE=MyISAM;";
$inf_create_tables[1] = "INSERT INTO ".$fusion_prefix."gygy VALUES (1,
																    1, 'New user!',
																	1, 'New news waiting!',
																	1, 'New article waiting!',
																	1, 'New link waiting!',
																	0, 'New shout!',
																	0, 'New comment!',
																	1, 'New PM!',
																	'Asilum.net', 'Asilum.net',
																	1234567, 1234567, 'haslo');";
	
// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[0] = "DROP TABLE IF EXISTS ".$fusion_prefix."gygy";

// If infusion is a newer version alter tables.
$inf_upgrade_alter_tables[0] = "ALTER TABLE ".$fusion_prefix."gygy";
?>