<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "../../fusion_config.php";
require_once "../../fusion_core.php";
require_once FUSION_BASE."subheader.php";
require_once FUSION_ADMIN."navigation.php";

if (!checkRights("S")) { header("Location:../index.php"); exit; }

$def_lang = FUSION_INFUSIONS."gygy/lang/English.php";
$usr_lang = FUSION_INFUSIONS."gygy/lang/".$settings['language'].".php";
if (file_exists($usr_lang)) {include $usr_lang;} else { include $def_lang; }

// FUNCTIONS //

function check2($q) {
	$query = dbquery("SELECT ".$q." FROM fusion_gygy WHERE gg_id='1'");
	$d = dbarray($query);
	if($d[$q] == 1) {
		$ret = "checked";
	}else{
		$ret = "";
	}
	return $ret;
}

opentable(GG_000);
echo("<form name='form1' method='post' action='".$_SERVER[PHP_SELF]."?option=SAVE'>
  <table width='100%' border='0'>
  <tr>
      <td width='50%' align='right'>".GG_014."</td>
      <td width='50%'><input name='nAdminGG' type='text' class='textbox' id='nAdminGG' value='".check('gg_admin_gg')."'></td>
    </tr>
   <tr>
   <tr>
      <td width='50%' align='right'>".GG_001."</td>
      <td width='50%'><input name='nGG' type='text' class='textbox' id='nGG' value='".check('gg_nr_gg')."'></td>
    </tr>
   <tr>
      <td width='50%' align='right'>".GG_002."</td>
      <td width='50%'><input name='nPass' type='text' class='textbox' id='nUser' value='".check('gg_pass')."'></td>
    </tr>
	<tr>
      <td width='50%' align='right'>".GG_003."</td>
      <td width='50%'><input name='nOnline' type='text' class='textbox' id='nOnline' value='".check('gg_online_status')."'></td>
    </tr>
		<tr>
      <td width='50%' align='right'>".GG_004."</td>
      <td width='50%'><input name='nOffline' type='text' class='textbox' id='nOffline' value='".check('gg_offline_status')."'></td>
    </tr>
    <tr>
      <td width='50%' align='right'>".GG_006."</td>
      <td width='50%'><input name='nUser' type='checkbox' id='nUser' value='1' ".check2('gg_show_new_users')."> | ".GG_005." <input name='nUserMsg' type='text' class='textbox' id='nUserMsg' value='".check('gg_new_users_msg')."'></td>
    </tr>
    <tr>
      <td align='right'>".GG_007."</td>
      <td><input name='nNews' type='checkbox' id='nNews' value='1' ".check2('gg_show_new_news')."> | ".GG_005." <input name='nNewsMsg' type='text' class='textbox' id='nNewsMsg' value='".check('gg_new_news_msg')."'></td>
    </tr>
    <tr>
      <td align='right'>".GG_008."</td>
      <td><input name='nArticle' type='checkbox' id='nArticle' value='1' ".check2('gg_show_new_articles')."> | ".GG_005." <input name='nArticleMsg' type='text' class='textbox' id='nArticleMsg' value='".check('gg_new_articles_msg')."'></td>
    </tr>
    <tr>
      <td align='right'>".GG_009."</td>
      <td><input name='nLink' type='checkbox' id='nLink' value='1' ".check2('gg_show_new_links')."> | ".GG_005." <input name='nLinkMsg' type='text' class='textbox' id='nLinkMsg' value='".check('gg_new_links_msg')."'></td>
    </tr>
    <tr>
      <td align='right'>".GG_010."</td>
      <td><input name='nScream' type='checkbox' id='nScream' value='1' ".check2('gg_show_new_scream')."> | ".GG_005." <input name='nScreamMsg' type='text' class='textbox' id='nScreamMsg' value='".check('gg_new_scream_msg')."'></td>
    </tr>
    <tr>
      <td align='right'>".GG_011."</td>
      <td><input name='nComment' type='checkbox' id='nComment' value='1' ".check2('gg_show_new_comment')."> | ".GG_005." <input name='nCommentMsg' type='text' class='textbox' id='nCommentMsg' value='".check('gg_new_comment_msg')."'></td>
    </tr>
    <tr>
      <td align='right'>".GG_012."</td>
      <td><input name='nPw' type='checkbox' id='nPw' value='1' ".check2('gg_show_new_pm')."> | ".GG_005." <input name='nPwMsg' type='text' class='textbox' id='nPwMsg' value='".check('gg_new_pm_msg')."'></td>
    </tr>
    <tr align='center'>
      <td colspan='2'><input class='button' type='submit' name='Submit' value='".GG_013."'></td>
    </tr>
  </table>
</form>");
closetable();

function SAVE() {
	// SEND MESSAGE // TEXT 
	($_POST['nUser'] ? $nUser = 1 : $nUser = 0);
		($_POST['nUserMsg'] ? $nUserMsg = $_POST['nUserMsg'] : $nUserMsg = '');
	($_POST['nNews'] ? $nNews = 1 : $nNews = 0);
		($_POST['nNewsMsg'] ? $nNewsMsg = $_POST['nNewsMsg'] : $nNewsMsg = '');
	($_POST['nArticle'] ? $nArticle = 1 : $nArticle = 0);
		($_POST['nArticleMsg'] ? $nArticleMsg = $_POST['nArticleMsg'] : $nArticleMsg = '');
	($_POST['nLink'] ? $nLink = 1 : $nLink = 0);
		($_POST['nLinkMsg'] ? $nLinkMsg = $_POST['nLinkMsg'] : $nLinkMsg = '');
	($_POST['nScream'] ? $nScream = 1 : $nScream = 0);
		($_POST['nScreamMsg'] ? $nScreamMsg = $_POST['nScreamMsg'] : $nScreamMsg = '');
	($_POST['nComment'] ? $nComment = 1 : $nComment = 0);
		($_POST['nCommentMsg'] ? $nCommentMsg = $_POST['nCommentMsg'] : $nCommentMsg = '');
	($_POST['nPw'] ? $nPw = 1 : $nPw = 0);
		($_POST['nPwMsg'] ? $nPwMsg = $_POST['nPwMsg'] : $nPwMsg = '');
	// USER PASS
	($_POST['nAdminGG'] ? $nAdminGG = $_POST['nAdminGG'] : $nAdminGG = '');
	($_POST['nGG'] ? $nGG = $_POST['nGG'] : $nGG = '');
	($_POST['nPass'] ? $nPass = $_POST['nPass'] : $nPass = '');
	// STATUS
	($_POST['nOnline'] ? $nOnline = $_POST['nOnline'] : $nOnline = '');
	($_POST['nOffline'] ? $nOffline = $_POST['nOffline'] : $nOffline = '');
	
	 $update = dbquery("UPDATE fusion_gygy SET 
	 gg_show_new_users='".$nUser."',
	 	gg_new_users_msg='".$nUserMsg."',  
	 gg_show_new_news='".$nNews."', 
	 	gg_new_news_msg='".$nNewsMsg."', 
	 gg_show_new_articles='".$nArticle."', 
	 	gg_new_articles_msg='".$nArticleMsg."',
	 gg_show_new_links='".$nLink."',
	  	gg_new_links_msg='".$nLinkMsg."',
	 gg_show_new_scream='".$nScream."', 
		gg_new_scream_msg='".$nScreamMsg."',
	 gg_show_new_comment='".$nComment."',
	  	gg_new_comment_msg='".$nCommentMsg."',
	 gg_show_new_pm='".$nPw."',
	 	gg_new_pm_msg='".$nPwMsg."',
	 gg_online_status='".$nOnline."',
	 gg_offline_status='".$nOffline."',
	 gg_admin_gg='".$nAdminGG."',
	 gg_nr_gg='".$nGG."',
	 gg_pass='".$nPass."' WHERE gg_id='1'");
	 Header("Location: ".$_SERVER[PHP_SELF]);
}

switch($option) {
	case "SAVE":
		SAVE();
		break;
}

echo "</td>\n";
require_once FUSION_BASE."footer.php";
?>